/*
File: HOOKINT.CC

Author: Matthew Mastracci

Purpose: Demonstrates the concepts described in the first few sections of 
DJGPPASM.DOC.
*/

#include <stdio.h>

extern unsigned int AddFour(unsigned int);
extern void NewVersion(char c);
extern void PrintStrings(void);
extern char VersionString[];
extern struct {
  unsigned int x, y;
  char * VersionStringPointer;
} DataValues;

/* Exported is external to the assembly-language program, local to us */
unsigned int Exported;

int main(void)
{
  /* Test AddFour() */
  printf("AddFour(4) = %i\n", AddFour(4));

  /* Test VersionString[] and NewVersion() */
  printf("VersionString = '%s'\n", VersionString);
  NewVersion('g');
  printf("VersionString = '%s'\n", VersionString);

  /* Test Exported and PrintStrings() */
  Exported = 0xdeadbeef;
  PrintStrings();

  return 0;
}
